=== debian/changelog ===
shogun (1.0.0-1) unstable; urgency=low

  * New upstream version with major feature enhancements.
    - Add various upstream patches to fix installation
    - Rename static interface packages to shogun-interface-static
    - Create new modular interface packages for java, lua, ruby, c#
    - Install libshogun examples also for libshogun-dev package
    - Convert package to use dh_python2 (Closes: #632249).
    - Enable python packaging for multiple python versions.
    - Update copyright file to match new contributions.
    - Bump standards version to 3.9.2 (no changes required).
  * Replace doxygen and texlive-* build dependencies with
    doxygen-latex (Closes: #616279)
  * Acknowledging non-maintainer upload fixing FTBS with newer gcc's (How
    could this ever compile??!)

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 11 Oct 2011 21:04:30 +0200
