## shogun 1.1.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,9 @@
 #
 #       make prepare-release
 #       make git-tag-release  
-#       (cd shogun-releases/shogun_X.Y.Z ; make release ; make update-webpage)
+#       make release
+#       make data-release
+#       make update-webpage
 #
 # * To create a debian .orig.tar.gz run
 #
@@ -17,6 +19,10 @@
 # * To sign/md5sum the created tarballs and copy them to the webpage
 #
 #       make update-webpage
+#
+# * To make a release from inside a tarball
+#
+#       make package-from-release
 #
 #
 # The following additional options may be set
@@ -86,7 +92,7 @@
 
 .PHONY: all release package-from-release update-webpage clean distclean embed-main-version
 
-DATADESTDIR := ../$(DATARELEASENAME)
+DATADESTDIR := ../shogun-releases/$(DATARELEASENAME)
 DESTDIR := ../$(RELEASENAME)
 REMOVE_SVMLIGHT := rm -f $(DESTDIR)/src/shogun/classifier/svm/SVM_light.* $(DESTDIR)/src/shogun/classifier/svm/Optimizer.* $(DESTDIR)/src/shogun/regression/svr/SVR_light.* $(DESTDIR)/src/LICENSE.SVMlight; \
 rm -f $(DESTDIR)/testsuite/data/classifier/SVMLight* $(DESTDIR)/testsuite/data/regression/SVRLight*	; \
