=== src/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	@echo ==== opts: $(COMPFLAGS_CPP)
 	@echo ============================================================
 	@echo 
-	@+$(foreach part, $(PARTS), $(MAKE) -C interfaces/$(part) $@ &&) true
+	$(foreach part, $(PARTS), $(MAKE) -C interfaces/$(part) $@ &&) true
 	@echo 
 	@echo ============================================================
 	@echo ==== Done. Check the subdirectories for binaries.
@@ -100,9 +100,9 @@
 	@echo -n "C/C++ header files (.h):"
 	@cat `find ./ -type f -name '*.h'`  | grep -vc '^ *$$'
 	@echo -n "SWIG header files (.i):"
-	@cat `find ./modular -type f -name '*.i'`  | grep -vc '^ *$$'
+	@cat `find ./interfaces -type f -name '*.i'`  | grep -vc '^ *$$'
 	@echo -n "Total:"
-	@(cat `find ./ -type f -name '*.cpp' -o -name '*.c' -o -name '*.h'`; cat `find ./modular -type f -o -name '*.i'`)  | grep -vc '^ *$$'
+	@(cat `find ./ -type f -name '*.cpp' -o -name '*.c' -o -name '*.h'`; cat `find ./interfaces -type f -o -name '*.i'`)  | grep -vc '^ *$$'
 
 ChangeLog:
 	git log --name-status --graph >$@
