=== examples/undocumented/libshogun/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 INCLUDES=
 LIBS=
-LIBS_ADD=-lshogun -lblas
+LIBS_ADD=-lshogun
 
 LINKFLAGS=
 CXXFLAGS=-O3 -g
@@ -38,6 +38,18 @@
 		  library_fibonacci_heap \
 		  library_hashset \
 		  mathematics_lapack \
+		  converter_locallylinearembedding \
+		  converter_localtangentspacealignment \
+		  converter_hessianlocallylinearembedding \
+		  converter_kernellocallylinearembedding \
+		  converter_kernellocaltangentspacealignment \
+		  converter_multidimensionalscaling \
+		  converter_isomap \
+		  converter_diffusionmaps \
+		  converter_laplacianeigenmaps \
+		  converter_neighborhoodpreservingembedding \
+		  converter_linearlocaltangentspacealignment \
+		  converter_localitypreservingprojections \
 
 all: $(TARGETS)
