=== debian/changelog ===
shogun (1.1.0-4ubuntu6) quantal; urgency=low

  * Use the default jdk for the build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Sep 2012 13:50:25 +0200

shogun (1.1.0-4ubuntu5) quantal; urgency=low

  * Don't build using clang, ftbfs on powerpc.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Sep 2012 20:39:29 +0200

shogun (1.1.0-4ubuntu4) quantal; urgency=low

  * Add libatlas-dev as dependency of libshogun-dev (LP: #1006039).

 -- Paolo Rotolo <paolorotolo@ubuntu-it.org>  Tue, 29 May 2012 20:13:29 +0100

shogun (1.1.0-4ubuntu3) quantal; urgency=low

  * No change rebuild for libhdf5-7

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 20 May 2012 16:46:29 -0500

shogun (1.1.0-4ubuntu2) precise; urgency=low

  * Rebuild against numpy 1.6

 -- Julian Taylor <jtaylor@ubuntu.com>  Thu, 16 Feb 2012 20:08:45 +0100

shogun (1.1.0-4ubuntu1) precise; urgency=low

  * Merges from Debian unstable (LP: #914523).
  * New patch fix-ftbfs-as-needed.patch: Fix FTBFS with
    ld --as-needed in Makefile (closes: #657434)
  * Drop changes:
    - Build-depend on doxygen-latex, now in debian
    - Build for python2.7, debian has set X-Python-Version: >= 2.5

 -- Leo Iannacone <l3on@ubuntu.com>  Wed, 25 Jan 2012 23:20:58 +0100

shogun (1.1.0-4) unstable; urgency=low

  [ Jo Shields ]
  * debian/rules:
    + Include workaround for CDBS throwing away vital packaging data
      required by dh_clideps to resolve dependencies.
  * debian/control:
    + Scrap unneeded manual dependencies on libmono-corlib4.0-cil and 
      libshogun11 (Closes: #657096).

  [ Soeren Sonnenburg ]
  * Build depend on libhdf5-dev (>= 1.8.8~) | libhdf5-serial-dev instead of
  just libhdf5-dev.
  * Temporarily drop octave build dependencies from debian/control.

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 24 Jan 2012 17:05:48 +0100

shogun (1.1.0-3) unstable; urgency=low

  * Make csharp package depend on libmono-corlib4.0-cil; remove csharp:Depends
  or csharp:Provides and use cli:Depends in debian/control (Closes: #656757).

 -- Soeren Sonnenburg <sonne@debian.org>  Mon, 23 Jan 2012 09:05:31 +0100

shogun (1.1.0-2) unstable; urgency=low

  * Build depend on libhdf5-dev instead of libhdf5-serial-dev to accommodate
  hdf5 transition.
  * Build depend on mono-devel and cli-common-dev instead of mono2.0-devel and
  use include cli.make in debian rules. (Closes: #656757).
  * Use dmcs instead of gmcs (Closes: #656756).

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 22 Jan 2012 19:26:12 +0100

shogun (1.1.0-1) unstable; urgency=low

  * New upstream version with major feature enhancements.
   - This fixes liblzma5 transition (Closes: #647753)
   - Require clang to compile package as gcc/g++ require >3GB to compile the
   package (Closes: #645249).
   - Remove patches integrated upstream.
   - Since octave is failing to compile with clang - temporarily disable
   shogun's octave interface.
  * Really replace doxygen and texlive-* build dependencies with
    doxygen-latex (Closes: #616279).

 -- Soeren Sonnenburg <sonne@debian.org>  Wed, 14 Dec 2011 10:04:55 +0100

shogun (0.10.0-2.1ubuntu1) oneiric; urgency=low

  * Build for python2.7.
  * Build-depend on doxygen-latex.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Sep 2011 13:07:03 +0200
