=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: shogun
 Section: science
 Priority: optional
-Maintainer: Soeren Sonnenburg <sonne@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Soeren Sonnenburg <sonne@debian.org>
 Build-Depends: libatlas-base-dev [!powerpc !alpha !arm !armel !sh4] | liblapack-dev,
- debhelper (>= 5), libreadline-dev | libreadline5-dev, octave3.2-headers,
+ debhelper (>= 5), libreadline-dev | libreadline5-dev,
  ghostscript, python-numpy (>= 1:1.4.1-4~), cdbs (>= 0.4.90~), python-all-dev
  (>= 2.6.6-3~), r-base-core (>= 2.6.1-2), libblas-dev, swig (>= 2.0.4),
- xutils-dev, doxygen (>= 1.6.0), graphviz, texlive-latex-base, libglpk-dev,
- liblzo2-dev, zlib1g-dev, liblzma-dev, libhdf5-serial-dev (>= 1.8.3),
- libxml2-dev, libhdf5-serial-dev (>= 1.8.0), libjson0-dev, libarpack2-dev,
- openjdk-6-jdk, lua5.1, liblua5.1-0-dev, ruby1.9.1, ruby1.9.1-dev, ruby-narray,
- mono-2.0-devel (>= 2.6.0), libsnappy-dev, ant
+ xutils-dev, doxygen-latex, graphviz, libglpk-dev, liblzo2-dev, zlib1g-dev,
+ liblzma-dev, libxml2-dev, libjson0-dev, libarpack2-dev, default-jdk,
+ lua5.1, liblua5.1-0-dev, ruby1.9.1, ruby1.9.1-dev, ruby-narray, mono-devel,
+ libsnappy-dev, ant, cli-common-dev (>= 0.7), libhdf5-dev (>= 1.8.8~) |
+ libhdf5-serial-dev
+# octave3.2-headers,
 X-Python-Version: >= 2.5
 Standards-Version: 3.9.2
 Homepage: http://www.shogun-toolbox.org
 Vcs-Svn: http://bollin.googlecode.com/svn/shogun/trunk/
 Vcs-Browser: http://bollin.googlecode.com/svn/shogun/trunk/
 
-Package: libshogun10
+Package: libshogun11
 Conflicts: libshogunui6, libshogunui5, libshogunui4, libshogunui3,
  libshogunui2, libshogunui1, libshogunui0
 Architecture: any
@@ -48,7 +50,7 @@
 Package: libshogun-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libshogun10 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libshogun11 (= ${binary:Version}), libatlas-base-dev
 Description: Large Scale Machine Learning Toolbox
  SHOGUN - is a new machine learning toolbox with focus on large scale kernel
  methods and especially on Support Vector Machines (SVM) with focus to
@@ -128,7 +130,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libshogun10 (= ${binary:Version})
+Depends: ${misc:Depends}, libshogun11 (= ${binary:Version})
 Description: Large Scale Machine Learning Toolbox
  SHOGUN - is a new machine learning toolbox with focus on large scale kernel
  methods and especially on Support Vector Machines (SVM) with focus to
@@ -153,7 +155,7 @@
 Package: shogun-python-modular
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- libshogun10 (= ${binary:Version})
+ libshogun11 (= ${binary:Version})
 Recommends: python-matplotlib, python-scipy
 Provides: ${python:Provides}
 Description: Large Scale Machine Learning Toolbox
@@ -180,7 +182,7 @@
 Package: shogun-lua-modular
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${lua:Depends},
- libshogun10 (= ${binary:Version})
+ libshogun11 (= ${binary:Version})
 Provides: ${lua:Provides}
 Description: Large Scale Machine Learning Toolbox
  SHOGUN - is a new machine learning toolbox with focus on large scale kernel
@@ -206,9 +208,8 @@
 Package: shogun-ruby-modular
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${ruby:Depends},
- libshogun10 (= ${binary:Version})
+ libshogun11 (= ${binary:Version})
 Provides: ${ruby:Provides}
 Description: Large Scale Machine Learning Toolbox
  SHOGUN - is a new machine learning toolbox with focus on large scale kernel
  methods and especially on Support Vector Machines (SVM) with focus to
- bioinformatics. It provides a generic SVM object interfacing to several
