=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,22 @@
 #!/usr/bin/make -f
 
 SHELL					:= /bin/bash
-DEB_SHLIBDEPS_INCLUDE	:= $(shell octave-config -p OCTLIBDIR) /usr/lib/atlas \
-						$(CURDIR)/src/shogun $(CURDIR)/debian/libshogun10/usr/lib
+#DEB_SHLIBDEPS_INCLUDE	:= $(shell octave-config -p OCTLIBDIR) /usr/lib/atlas \
+#						$(CURDIR)/src/shogun $(CURDIR)/debian/libshogun11/usr/lib
+DEB_SHLIBDEPS_INCLUDE	:= /usr/lib/atlas \
+						$(CURDIR)/src/shogun $(CURDIR)/debian/libshogun11/usr/lib
 DEB_COMPRESS_EXCLUDE	:= .py .html .R .m .sg .lua .rb .cs .java
 R_LIBRARY_DIR			:= /usr/lib/R/site-library
-LIBSHOGUN				:= libshogun10
+LIBSHOGUN				:= libshogun11
 PYINTERFACES			:= python_modular python_static 
 INTERFACES				:= lua_modular ruby_modular java_modular \
-	csharp_modular octave_modular cmdline_static octave_static \
+	csharp_modular cmdline_static \
 	r_static elwms_static
+#csharp_modular octave_modular cmdline_static octave_static
 DEB_PYTHON2_MODULE_PACKAGES := shogun-python-static shogun-python-modular
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/octave/debian/defs.make
+#include /usr/share/octave/debian/defs.make
 
 PYVER		= $(shell pyversions -vr debian/control)
 PYSTEST		= $(MAKE) -C shogun-python_static-$(pyver)/interfaces/python_static tests \
@@ -32,7 +35,9 @@
 CONFIGURE_OPTIONS= --disable-cpudetection --prefix=/usr \
 		--enable-glpk --enable-readline --disable-svm-light \
 		--enable-hdf5 --enable-json --enable-xml --enable-snappy \
-		--enable-lzo --enable-gzip --enable-bzip2 --enable-lzma 
+		--enable-lzo --enable-gzip --enable-bzip2 --enable-lzma \
+
+#		--cc=clang --cxx=clang++
 
 common-configure-arch:: debian/stamp-configure
 common-configure-indep:: debian/stamp-configure
@@ -51,7 +56,8 @@
 	set -x; $(foreach pyver, $(PYVER), (for IF in $(PYINTERFACES); \
 		do ( cd shogun-$${IF}-$(pyver) && ./configure $(CONFIGURE_OPTIONS) --python=python$(pyver) --interfaces=$${IF}); done); )
 	cd src; ./configure $(CONFIGURE_OPTIONS) --interfaces=
-	cd shogun-elwms_static; ./configure $(CONFIGURE_OPTIONS) --interfaces=elwms_static,python_static,r_static,octave_static
+	cd shogun-elwms_static; ./configure $(CONFIGURE_OPTIONS) --interfaces=elwms_static,python_static,r_static
+	#cd shogun-elwms_static; ./configure $(CONFIGURE_OPTIONS) --interfaces=elwms_static,python_static,r_static,octave_static
 	touch $@
 
 common-build-arch:: configure debian/stamp-build-arch
@@ -106,22 +112,27 @@
 	$(RM) $(CURDIR)/debian/libshogun-dev/usr/lib/libshogun.so.*
 	touch $@
 
-# octave-modular
-install/shogun-octave-modular:: debian/stamp-install-octave-modular
-debian/stamp-install-octave-modular:
-	$(MAKE) -C shogun-octave_modular/interfaces/octave_modular install \
-		DESTDIR=$(CURDIR)/debian/shogun-octave-modular 
-	octave-depends
-	#$(MAKE) -C build-octave-modular tests \
-		DESTDIR=$(CURDIR)/debian/shogun-octave-modular
-	touch $@
+## octave-modular
+#install/shogun-octave-modular:: debian/stamp-install-octave-modular
+#debian/stamp-install-octave-modular:
+#	$(MAKE) -C shogun-octave_modular/interfaces/octave_modular install \
+#		DESTDIR=$(CURDIR)/debian/shogun-octave-modular 
+#	octave-depends
+#	#$(MAKE) -C build-octave-modular tests \
+#		DESTDIR=$(CURDIR)/debian/shogun-octave-modular
+#	touch $@
 
 # csharp-modular
 install/shogun-csharp-modular:: debian/stamp-install-csharp-modular
 debian/stamp-install-csharp-modular:
 	$(MAKE) -C shogun-csharp_modular/interfaces/csharp_modular install \
 		DESTDIR=$(CURDIR)/debian/shogun-csharp-modular 
-	touch $@
+	#dh_makeclilibs -a -V
+	#dh_installcligac -a
+	touch $@
+
+binary-predeb/shogun-csharp-modular:: binary-fixup/$(LIBSHOGUN)
+	dh_clideps -pshogun-csharp-modular
 
 # java-modular
 install/shogun-java-modular:: debian/stamp-install-java-modular
@@ -162,13 +173,13 @@
 		DESTDIR=$(CURDIR)/debian/shogun-cmdline-static
 	touch $@
 
-#octave-static
-install/shogun-octave-static:: debian/stamp-install-octave-static
-debian/stamp-install-octave-static:
-	dh_install -pshogun-octave-static shogun-octave_static/interfaces/octave_static/sg.oct $(OCTDIR)
-	octave-depends
-	#$(MAKE) -C build-octave tests DESTDIR=$(CURDIR)/debian/shogun-octave-static
-	touch $@
+##octave-static
+#install/shogun-octave-static:: debian/stamp-install-octave-static
+#debian/stamp-install-octave-static:
+#	dh_install -pshogun-octave-static shogun-octave_static/interfaces/octave_static/sg.oct $(OCTDIR)
+#	octave-depends
+#	#$(MAKE) -C build-octave tests DESTDIR=$(CURDIR)/debian/shogun-octave-static
+#	touch $@
 
 
 # python-static
@@ -187,19 +198,8 @@
 	$(MAKE) DESTDIR=$(CURDIR)/debian/shogun-elwms-static RDIR=/usr/lib/R/site-library -C shogun-elwms_static/interfaces/elwms_static install 
 	dh_python2 -pshogun-elwms-static --no-guessing-versions
 	dh_numpy
-	octave-depends
+	#octave-depends
 	touch $@
 
 # r-static
 install/shogun-r-static:: debian/stamp-install-r-static
-debian/stamp-install-r-static:
-	$(MAKE) -C shogun-r_static/interfaces/r_static install \
-			DESTDIR=$(CURDIR)/debian/shogun-r-static \
-			RDIR=/usr/lib/R/site-library
-	#$(MAKE) -C shogun-r_static tests \
-			DESTDIR=$(CURDIR)/debian/shogun-r-static \
-			RDIR=/usr/lib/R/site-library;
-	touch $@
-
-binary-post-install/shogun-dbg:: debian/stamp-post-install-shogun-dbg
-debian/stamp-post-install-shogun-dbg:
